Name:           python-pdm-backend
Version:        2.3.1
Release:        %mkrel 1
Summary:        The build backend used by PDM that supports latest packaging standards
Group:          Development/Python

License:        MIT
URL:            https://github.com/pdm-project/pdm-backend
Source:         %{pypi_source pdm_backend}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(editables)
Requires:       python3dist(editables)

%global _description %{expand:
This is the backend for PDM projects that is fully-compatible with PEP 517 spec,
but you can also use it alone. It reads the metadata of PEP 621 format and
converts it to Core metadata.}


%description %_description

%package -n     python3-pdm-backend
Summary:        %{summary}

%description -n python3-pdm-backend %_description


%prep
%autosetup -p1 -n pdm_backend-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files pdm


%check
%pyproject_check_import


%files -n python3-pdm-backend -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Jun 28 2024 papoteur <papoteur> 2.3.1-1.mga10
+ Revision: 2077712
- new version 2.3.1

* Mon May 13 2024 papoteur <papoteur> 2.3.0-1.mga10
+ Revision: 2063949
- new version 2.3.0

* Thu Mar 28 2024 papoteur <papoteur> 2.1.8-1.mga10
+ Revision: 2052924
- new version 2.1.8

* Fri Dec 29 2023 papoteur <papoteur> 2.1.7-2.mga10
+ Revision: 2023793
- rebuild for python 3.12

* Fri Nov 10 2023 papoteur <papoteur> 2.1.7-1.mga10
+ Revision: 2005649
- imported for python-pytoolconfig
- imported package python-pdm-backend

